Subject: Subject line for Job Postings
From: Saurabh Dadu <[email-masked]>
To: Ashish Dabral <[email-masked]>
Date: Fri, 26 Oct 2018 12:03:56 +0000

Native

German Language Expert (Native German) - Day Shift - Near Metro

German Language Specialist (Native German) Day Shift - Rs. 60K++

German Customer Service Executive - Native German - Day Shift

Native German Specialist - Day Shift - Rs. 60K+

Native German Expert - International BPO - Rs. 60K+

Non Native

German Language Specialist | Customer Service | Day Shift | 28K++

German Language Specialist C1 - Customer Service - Day Shift

German Customer Service Expert - C1 - International BPO - Day Shift

German Language Expert - C1 | Customer Service | Day Shift | 28K+

German Language Expert - C1 | Customer Service | Email Process | Day Shift

German Language Expert - C1 | Customer Service | Near Metro | Day Shift

German Customer Service - C1 | Near Metro | Day Shift | 28K+++

German Customer Service - C1 | Email Process | Day Shift | 28K+++

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203